%h1= t ".listing_shifts"

= simple_form_for @search do |f|
  = f.input :cow_ear_tag_contains, :required => false
  = f.input :stall_name_contains, :required => false
  = f.input :date_gte, :as => :date, :required => false, :use_era_name => true, :start_year => Date.today.year - 10, :include_blank => true
  = f.input :date_lte, :as => :date, :required => false, :use_era_name => true, :start_year => Date.today.year - 10, :include_blank => true
  = f.submit :search


%table
  %tr
    %th= sort_link @search, :cow_ear_tag
    %th= sort_link @search, :stall_seq
    %th= sort_link @search, :date
    %th
    %th
    %th

  - @shifts.each do |shift|
    %tr
      %td= shift.cow.ear_tag
      %td= shift.stall.name
      %td= shift.date
      %td= link_to t(".show"), shift
      %td= link_to t(".edit"), edit_shift_path(shift)
      %td= link_to t(".destroy"), shift, :confirm => 'Are you sure?', :method => :delete

%br

= link_to t(".new_shift"), new_shift_path
